## linkchecker-2.2.tar.gz

=== Makefile ===
# This Makefile is only used by developers.
PYVER := 2.3
PYTHON := python$(PYVER)
PACKAGE := linkchecker
NAME = $(shell $(PYTHON) setup.py --name)
PACKAGEDIR = /home/groups/l/li/$(PACKAGE)
#HTMLDIR=shell1.sourceforge.net:$(PACKAGEDIR)/htdocs
HTMLDIR=/home/calvin/public_html/linkchecker.sf.net/htdocs
#HOST=treasure.calvinsplayground.de
HOST=www.debian.org
#LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -v -s
LCOPTS=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -v -s -r1
DESTDIR = /.
PYFILES := $(wildcard linkcheck/*.py linkcheck/logger/*.py \
	linkcheck/checker/*.py)
TESTFILES := $(wildcard linkcheck/tests/*.py linkcheck/ftests/*.py)
PYCHECKEROPTS := -F config/pycheckrc
PYLINT := env PYTHONPATH=. PYLINTRC=config/pylintrc pylint
PYLINTOPTS := 
PYLINTBROKEN = linkcheck/lc_cgi.py
PYLINTFILES = $(filter-out $(PYLINTBROKEN),$(PYFILES))

all:
	@echo "Read the file doc/install.txt to see how to build and install"

clean:
# ignore errors of this command
	-$(PYTHON) setup.py clean --all
	rm -f sign-stamp release-stamp
	$(MAKE) -C po clean
	rm -f linkcheck/HtmlParser/htmlsax.so
	rm -f linkcheck/HtmlParser/*.output
	find . -name '*.py[co]' | xargs rm -f

distclean: clean cleandeb
# just to be sure clean also the build dir
	rm -rf dist build
	rm -f _$(PACKAGE)_configdata.py MANIFEST Packages.gz
# clean aborted dist builds and -out files
	rm -f $(PACKAGE)-out* $(PACKAGE).prof $(PACKAGE)-md5sums.txt

cleandeb:
	rm -rf debian/$(PACKAGE) debian/tmp
	rm -f debian/*.debhelper debian/{files,substvars}
	rm -f configure-stamp build-stamp

config:
	$(PYTHON) setup.py config -lcrypto

locale:
	$(MAKE) -C po

# to build in the current directory
localbuild:
	$(MAKE) -C linkcheck/HtmlParser
	$(PYTHON) setup.py build
	cp -f build/lib.linux-i686-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser

# produce the .deb Debian package
deb_local: cleandeb
# standard for local use
	fakeroot debian/rules binary

deb_signed: cleandeb
# ready for upload, signed with my GPG key
	env CVSROOT=:ext:calvin@cvs.linkchecker.sourceforge.net:/cvsroot/linkchecker cvs-buildpackage -Mlinkchecker -W/home/calvin/projects/cvs-build -sgpg -pgpg -k32EC6F3E -r"fakeroot --" -I.cvsignore

files:	locale localbuild
	env http_proxy="" LANG=C $(PYTHON) $(PACKAGE) $(LCOPTS) -i$(HOST) http://$(HOST)/
	rm -f linkchecker-out.*.gz
	for f in linkchecker-out.*; do gzip --best $$f; done

release: releasecheck dist upload homepage
	mozilla -remote "OpenUrl(https://sourceforge.net/projects/linkchecker,new-tab)"
	@echo "Make SF release and press return..."
	@read
	@echo "Uploading new LinkChecker Homepage..."
	$(MAKE) -C ~/public_html/linkchecker.sf.net upload
	@echo "Register at Python Package Index..."
	$(PYTHON) setup.py register

homepage:
	$(MAKE) -C doc homepage

dist: locale config
	$(PYTHON) setup.py sdist --formats=gztar bdist_rpm

releasecheck:
	@if grep -i xxxx ChangeLog > /dev/null; then \
	  echo "Could not release: edit ChangeLog release date"; false; \
	fi

upload:
	for f in dist/*; do \
	  if [ ! -f $${f}.asc ]; then \
	    gpg --detach-sign --armor $$f; \
	  fi; \
	done
	ncftpput upload.sourceforge.net /incoming dist/*

test:
	test/run.sh test.py --resource=network --search-in=linkcheck -fupv

coverage:
	test/run.sh test.py --coverage

tar:	distclean
	cd .. && tar cjvf linkchecker.tar.bz2 linkchecker

pycheck:
	-env PYTHONPATH=. PYTHONVER=$(PYVER) pychecker $(PYCHECKEROPTS) $(PYFILES)

pylint:
	$(PYLINT) $(PYLINTOPTS) $(PYLINTFILES) $(TESTFILES)

reindent:
	$(PYTHON) config/reindent.py -r -v linkcheck

.PHONY: all clean cleandeb distclean files upload test timeouttest locale
.PHONY: config deb_local deb_signed tar releasecheck pycheck pylint reindent

=== doc/Makefile ===
RESTFILES = $(wildcard *.txt)
HTMLFILES = $(patsubst %.txt, %.html, $(RESTFILES) )
NAVFILES = $(patsubst %.txt, %.nav, $(RESTFILES) )
HTMLDIR := /home/calvin/public_html/linkchecker.sf.net

all: $(HTMLFILES)

%.html: %.txt htmlnav.py bfknav.py
	./rest2htmlnav --stylesheet-path=lc.css --time $< $@

nav: all
	python bfknav.py

homepage: nav
	cp *.html *.css *.jpg *.png $(HTMLDIR)/htdocs

clean:
	rm -f $(NAVFILES) $(HTMLFILES) *.pyc *.pyo

apidocs:
	epydoc --html -o api --name "LinkChecker source documentation" --url ../index.html ../linkcheck/

.PHONY: all clean homepage nav apidocs

=== po/Makefile ===
XGETTEXT := xgettext
MSGFMT := msgfmt
MSGMERGE := msgmerge
POSOURCES = $(shell find ../linkcheck -name \*.py) \
	../linkchecker
LDIR = ../share/locale
PACKAGE = linkchecker
TEMPLATE = $(PACKAGE).pot
MYMAIL := calvin@users.sourceforge.net
LFILE = LC_MESSAGES/$(PACKAGE).mo
# defined language (add new languages here)
LANGUAGES = de fr nl

mofiles:
	@for la in $(LANGUAGES); do \
	  if [ ! -d $(LDIR)/$$la/LC_MESSAGES ]; then \
	    mkdir -p $(LDIR)/$$la/LC_MESSAGES; \
	  fi; \
	  echo "Formatting language catalog $${la}:"; \
	  $(MSGFMT) -c --statistics -o $(LDIR)/$$la/$(LFILE) $$la.po; \
	done

%.po:	$(TEMPLATE)
	$(MSGMERGE) -U --suffix=.bak $@ $<

template: $(TEMPLATE)
$(TEMPLATE): $(POSOURCES)
	$(XGETTEXT) -w 80 --default-domain=$(PACKAGE) --language=Python \
	  --copyright-holder="Bastian Kleineidam <$(MYMAIL)>" \
	  --msgid-bugs-address=$(MYMAIL) -o $(TEMPLATE) \
	  --keyword=_n:1,2 $(POSOURCES)

%.mo:	%.po
	if [ ! -d $(LDIR)/$*/LC_MESSAGES ]; then \
	  mkdir -p $(LDIR)/$*/LC_MESSAGES; \
	fi
	$(MSGFMT) -c --statistics -o $(LDIR)/$*/$(LFILE) $<

clean:
	@for f in $(LANGUAGES); do rm -f $(LDIR)/$$f/$(LFILE); done
	rm -f *.mo *.bak

.PHONY: mofiles clean

=== debian/changelog ===
linkchecker (2.2-1) unstable; urgency=low

  * New upstream release.
  * Suggest psyco

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 20 Jan 2005 20:57:12 +0100

linkchecker (2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-optcomplete.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 10 Jan 2005 16:05:44 +0100

linkchecker (2.0-1) unstable; urgency=low

  * New upstream release.
  * use cdbs for package compilation
  * use ${python:Depends}

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 24 Nov 2004 11:17:34 +0100

linkchecker (1.99+2.0rc2-1) unstable; urgency=low

  * New upstream release (2.0 release candidate).

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 18 Nov 2004 01:59:55 +0100

linkchecker (1.99+2.0rc1-1) unstable; urgency=low

  * New upstream release (2.0 release candidate).

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 25 Oct 2004 23:16:37 +0200

linkchecker (1.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 20 Sep 2004 11:10:28 +0200

linkchecker (1.13.4-1) unstable; urgency=medium

  * New upstream release, fixing serious bug. Medium urgency.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 14 Sep 2004 21:50:44 +0200

linkchecker (1.13.3-1) unstable; urgency=low

  * New upstream release.
  * of course the last entry meant 'move old config file' instead of
    'move old logfiles'

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 10 Sep 2004 09:53:48 +0200

linkchecker (1.13.2-1) unstable; urgency=low

  * New upstream release.
  * move old logfiles to /etc/linkchecker/linkcheckerrc.old in the
    postinst script

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  8 Sep 2004 13:56:44 +0200

linkchecker (1.13.1-2) unstable; urgency=low

  * Added access notes about CGI script to README.Debian
    (Closes: #263568)

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  5 Sep 2004 12:53:55 +0200

linkchecker (1.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu,  2 Sep 2004 23:13:03 +0200

linkchecker (1.13.0-1) unstable; urgency=low

  * New upstream release.
  * added debian/watch file
  * added NEWS.Debian

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  1 Sep 2004 12:10:36 +0200

linkchecker (1.12.3-1) unstable; urgency=low

  * New upstream release.
  * add lintian overrides

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 27 May 2004 09:07:49 +0200

linkchecker (1.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  1 Mar 2004 16:57:00 +0100

linkchecker (1.12.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 20 Feb 2004 00:24:32 +0100

linkchecker (1.12.0-1) unstable; urgency=low

  * New upstream release.
  * install bash_completion script

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 29 Jan 2004 15:06:00 +0100

linkchecker (1.10.3-2) unstable; urgency=low

  * install upstream changelog (Closes: #227141)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 12 Jan 2004 01:58:06 +0100

linkchecker (1.10.3-1) unstable; urgency=low

  * New upstream version

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  3 Jan 2004 17:27:38 +0100

linkchecker (1.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 19 Dec 2003 20:15:58 +0100

linkchecker (1.10.1-1) unstable; urgency=low

  * New upstream version

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 10 Dec 2003 21:18:54 +0100

linkchecker (1.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  7 Dec 2003 11:47:25 +0100

linkchecker (1.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Urgency medium, because the psyco enabled builds went into an
    infinite loop and disabled the Ctrl-C break functionality.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 22 Oct 2003 13:25:45 +0200

linkchecker (1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 16 Oct 2003 22:44:38 +0200

linkchecker (1.9.3-1) unstable; urgency=low

  * New upstream release

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 24 Sep 2003 00:20:36 +0200

linkchecker (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.6.1, no changes

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 11 Sep 2003 23:52:09 +0200

linkchecker (1.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 19 Aug 2003 00:16:00 +0200

linkchecker (1.9.0-1) unstable; urgency=low

  * New upstream release, using Python 2.3.

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  8 Aug 2003 00:37:57 +0200

linkchecker (1.8.22-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  5 Aug 2003 14:56:00 +0200

linkchecker (1.8.21-1) unstable; urgency=low

  * New upstream release

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 29 Jul 2003 01:25:09 +0200

linkchecker (1.8.20-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.6.0

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  9 Jul 2003 22:39:02 +0200

linkchecker (1.8.19-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 25 Jun 2003 22:12:25 +0200

linkchecker (1.8.18-1) unstable; urgency=low

  * New upstream release. (Closes: #197732)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 18 Jun 2003 12:10:51 +0200

linkchecker (1.8.17-1) unstable; urgency=low

  * New upstream version
  * remove python-ssl from description, it's integrated into python2.2
    now

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  6 Jun 2003 11:40:44 +0200

linkchecker (1.8.16-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.5.10.0 (no changes)



=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: python-dev (>= 2.3), python-dev (<< 2.4), python, debhelper (>= 4.1.51), gettext, cdbs
Standards-Version: 3.6.1

Package: linkchecker
Architecture: any
Depends: ${python:Depends}, python-optcomplete
Conflicts: linkchecker-ssl
Suggests: apache | httpd, python-psyco
Description: check HTML documents for broken links
 Features:
  o recursive checking
  o multithreaded
  o output can be colored or normal text, HTML, SQL, CSV or a sitemap
    graph in GML or XML
  o HTTP/1.1, FTP, mailto:, nntp:, news:, Gopher, Telnet and local
    file links are supported
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o give username/password for HTTP and FTP authorization
  o robots.txt exclusion protocol support
  o i18n support
  o Cookie support
  o command line interface
  o (Fast)CGI web interface (requires HTTP server)

=== debian/rules ===
#!/usr/bin/make -f

common-install-impl::
	$(MAKE) locale

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

PACKAGE = linkchecker
ROOT = $(CURDIR)/debian/$(PACKAGE)
DOCDIR = $(ROOT)/usr/share/doc/$(PACKAGE)
PYTHON = python
CGIDIR = $(ROOT)/usr/lib/cgi-bin/lconline
HTMLDIR = $(ROOT)/var/www/lconline
SHARE = $(ROOT)/usr/share/linkchecker
ETC = $(ROOT)/etc

common-install-impl::
# remove example files, we install them with dh_installexamples
	rm -r $(ROOT)/usr/share/linkchecker/examples
# install system wide configuration files in etc
	mv $(SHARE)/linkcheckerrc $(ETC)/linkchecker/
	mv $(SHARE)/logging.conf $(ETC)/linkchecker/
# install CGI files
	install -m 644 cgi/lconline/*.html $(HTMLDIR)
	install -m 644 cgi/lconline/*.de $(HTMLDIR)
	install -m 644 cgi/lconline/*.en $(HTMLDIR)
	install -m 644 cgi/lconline/check.js $(HTMLDIR)
	install -m 755 cgi/lc.cgi $(CGIDIR)
	install -m 755 cgi/lc.fcgi $(CGIDIR)
# install bash_completion script
	install -m 644 config/linkchecker-completion $(ETC)/bash_completion.d
